﻿using System;
using Newtonsoft.Json;
using Newtonsoft.Json.Converters;

namespace Zzz.Action
{
    public class ZzzAction
    {
        #region Public Enums, Properties and Fields

        [JsonConverter(typeof(StringEnumConverter))]
        public Action Action { get; set; }

        #endregion

        #region Constructors, Destructors and Finalizers

        public ZzzAction()
        {
        }

        public ZzzAction(Action action) : this()
        {
            Action = action;
        }

        public ZzzAction(string action) : this()
        {
            if (!Enum.TryParse<Action>(action, out var sleepAction))
            {
                return;
            }

            Action = sleepAction;
        }

        #endregion
    }
}